Skip to content

Pre upgrade check.

GET
/api/maurice/namespaces/{namespace}/sites/{name}/pre_upgrade_check
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/maurice/namespaces/example/sites/example/pre_upgrade_check \
--header 'Authorization: <Authorization>'

API to check if site is ready for upgrade.

Examples of this operation.

namespace
required
string

Namespace Fetch upgrade status for the given namespace.

name
required
string

Name Fetch upgrade status for the name of site.

sw_version
string

Software version to upgrade to.

A successful response.

Media typeapplication/json
GetUpgradableSWVersionsResponse

Result of pre upgrade checks.

object
checklist
checklist

Checklist containing the items for pre upgrade check.

Array<object>
object
item
item

Description of the checklist item.

string
>= 15 characters <= 1024 characters
reason
reason

Reason for error.

string
>= 27 characters <= 1024 characters
status
string
default: CHECKLIST_UNKNOWN
Allowed values: CHECKLIST_UNKNOWN CHECKLIST_PASSED CHECKLIST_FAILED CHECKLIST_WARNING
Example
{
"checklist": [
{
"status": "CHECKLIST_UNKNOWN"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example